module Test where

import Ueb01

import Test.Tasty
import Test.Tasty.HUnit

run = defaultMain $ testGroup "All tests" [vowEqUnits, encDecUnits]

vowEqUnits = testGroup "Tests for vowelEq" 
  [ testCase "Apfel/Haskell" $
    vowelEq "Apfel" "Haskell" @? "Apfel and Haskell should be similar"
  , testCase "Bananenmus" $ 
    not (vowelEq "Banane" "Apfelmus") @? "Banane and Apfelmus should not be similar"
  ]

encDecUnits = testGroup "Tests for simple encoding"
  [ testCase "Encrypt Apfelmus" $ encrypt "Apfelmus" @?= "Apapfepelmupus"
  , testCase "Decrypt Apfelmus" $ decrypt "Apapfepelmupus" @?= "Apfelmus"
  , testCase "Decrypt Rhabarber" $ decrypt "Rhabarber-Rezepte" @?= "Rhabarber-Rezepte"
  , testCase "Decrypt Topologie" $ decrypt "Topologie" @=? "Tologie" 
  ]
